Infrastructure - Bug #716

GMN object retrieveal stops at 1MB
2010-07-22 14:55 - Dave Vieglais

Status: Closed Start date: 2013-01-02
Priority: High Due date: 2013-01-02
Assignee: Roger Dahl % Done: 100%
Category: d1_mn_GMN Estimated time: 0.00 hour
Target version: CCl-0.4

Milestone: Story Points:

Product Version: *

Description

Attempts to retrieve objects larger than 1048576 bytes doesn't work, with the response truncated.
e.g. using test_object_list.py:

INFO:root:Object size (1905918) = 1048576
ERROR:root:Size mismatch for http://dev-dryad-mn.dataone.org/mn/object/FigS4_Hsieh.pdf

History

#1 - 2010-07-22 16:22 - Dave Vieglais

A little debugging indicates that this is not a problem with the file iterator or httplib. So the problem is either on the Dryad source end or the Django
processing of the HttpResponse.

#2 - 2010-07-30 16:04 - Roger Dahl

- Status changed from New to Closed

#3 - 2013-01-02 15:52 - Dave Vieglais

- translation missing: en.field_remaining_hours set to 0.0
- Category changed from 299 to d1_mn_GMN

- Due date set to 2013-01-02

- Start date set to 2013-01-02

2024-05-06 1/1



http://dev-dryad-mn.dataone.org/mn/object/FigS4_Hsieh.pdf
https://redmine.dataone.org/projects/d1/wiki/HttpResponse
http://www.tcpdf.org

